#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xf89b06d4, "");
SYMBOL_CRC(flow_resources_alloc, 0x7fe20b80, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x16d96256, "");
SYMBOL_CRC(flow_resources_add, 0x8aeda7e8, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x2ecc354b, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x6125e178, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xf9442e21, "");
SYMBOL_CRC(uverbs_idr_class, 0xa3bdb202, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x97947268, "");
SYMBOL_CRC(uverbs_fd_class, 0x91496e63, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x1c3b8bf9, "");
SYMBOL_CRC(_uverbs_alloc, 0xbb155891, "");
SYMBOL_CRC(uverbs_get_flags64, 0x939dd388, "");
SYMBOL_CRC(uverbs_get_flags32, 0x0f314b0c, "");
SYMBOL_CRC(uverbs_copy_to, 0x9e29a154, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x3a9561b2, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x6c6f74fe, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xf29bd677, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x9746bfee, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x1803081a, "");
SYMBOL_CRC(ib_umem_get, 0xb5ce6e7d, "");
SYMBOL_CRC(ib_umem_release, 0x19b6ba61, "");
SYMBOL_CRC(ib_umem_copy_from, 0x5901f3d0, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xbdec304c, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x6335e7ed, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x6e9f33ef, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x60858917, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x49ce75ab, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0xcb12c0bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bd8c5d5, "pin_user_pages_fast" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x7d0355f8, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x581ec335, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2b0602c0, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xf909b1e8, "ib_unregister_client" },
	{ 0x5004d35e, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc4e247a, "unpin_user_pages_dirty_lock" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb75e8286, "dev_set_name" },
	{ 0x4f818d37, "ibdev_warn" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xacdfbba7, "ib_create_qp_user" },
	{ 0xe6eabaed, "dma_resv_wait_timeout" },
	{ 0x6ef43c11, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x29bc737b, "kill_fasync" },
	{ 0x9bdae6d1, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x87c3dd71, "fget" },
	{ 0x8d6aa9dc, "ib_query_srq" },
	{ 0xce9beca6, "ww_mutex_unlock" },
	{ 0xef95b243, "device_initialize" },
	{ 0x388ad54c, "ib_rdmacg_try_charge" },
	{ 0x2482a443, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x13a540bd, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x5924b008, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xf68622d9, "iput" },
	{ 0x2121868c, "dma_buf_unpin" },
	{ 0xf67a860e, "zap_vma_ptes" },
	{ 0x61faac27, "ib_dereg_mr_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7281d187, "rdma_dev_access_netns" },
	{ 0x2bcfab9c, "get_device" },
	{ 0x677d3293, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x684b8476, "dma_buf_dynamic_attach" },
	{ 0xd3b6fff2, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x8cf525ff, "radix_tree_iter_delete" },
	{ 0x26af3402, "ib_destroy_srq_user" },
	{ 0x943139a9, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x13c4508b, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xca4b1f37, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x24e0cabb, "put_device" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0xd665066c, "ib_modify_qp_with_udata" },
	{ 0xf7c8fa1a, "ib_register_event_handler" },
	{ 0x8e2b1211, "ib_detach_mcast" },
	{ 0xb41a3314, "dma_buf_map_attachment" },
	{ 0xd243a135, "__free_pages" },
	{ 0x3f370c4c, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5a8fa6fa, "module_put" },
	{ 0x48e33ce4, "ib_register_client" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0x124612d7, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc475ce16, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x60b163e0, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xc22861e9, "fput" },
	{ 0xe0152308, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x29b5e0c9, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4ac147c9, "dma_buf_unmap_attachment" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x851f219, "radix_tree_next_chunk" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x48c69d1b, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xfba7202f, "dma_buf_get" },
	{ 0x7867459c, "ib_query_port" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xff182e8, "nla_put" },
	{ 0xf02b6b42, "ww_mutex_lock" },
	{ 0x8e4c8b98, "fasync_helper" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd80496bc, "ib_qp_usecnt_inc" },
	{ 0xa33dd0b8, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3bded67c, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x710a9612, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x88c691b0, "rdma_restrack_set_name" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x49dda993, "rdma_create_user_ah" },
	{ 0xf48c5609, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x311161f0, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x25eddb7a, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0x235fb6c9, "__mmdrop" },
	{ 0xabdb0ecd, "rdma_restrack_del" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xf1e3c31e, "__mmap_lock_do_trace_start_locking" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf59fd705, "ib_rdmacg_uncharge" },
	{ 0x7230beea, "fdget" },
	{ 0xe42b723d, "igrab" },
	{ 0x280b6ab4, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc9bc1c35, "mmput" },
	{ 0x5230af8d, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc90bf915, "__mmap_lock_do_trace_released" },
	{ 0xa24010de, "ib_alloc_xrcd_user" },
	{ 0xe70e184a, "xa_store" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x4839b99f, "rdma_set_cq_moderation" },
	{ 0x6504fc3c, "alloc_pages_noprof" },
	{ 0x26e00698, "ib_dealloc_xrcd_user" },
	{ 0x7ee60dea, "dma_buf_detach" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb5220b84, "stream_open" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xcddf737a, "ib_open_qp" },
	{ 0xa28fe6d0, "ib_dealloc_pd_user" },
	{ 0xbdfcfa78, "rdma_get_gid_attr" },
	{ 0xaf66579c, "dma_unmap_sg_attrs" },
	{ 0x9d87f6f8, "rdma_port_get_link_layer" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x7e6839ba, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xe68cde8, "rdma_query_gid_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8b660907, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x99d84180, "ib_attach_mcast" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xf0bbfdf2, "rdma_umap_priv_init" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xef4fbe19, "ib_destroy_wq_user" },
	{ 0xf1074418, "class_register" },
	{ 0x5790f0b5, "cdev_init" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0x5b58f5a5, "rdma_user_mmap_entry_put" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "8041B3AF7AFEAD91B64D7D5");
MODULE_INFO(rhelversion, "10.0");
