#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xf66a50a6, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xc6984055, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x7ae56d36, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x8e3f5c41, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x54c9ca0e, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x0a3a699e, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xf909661a, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x0dad6771, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x3f8ef8ca, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x4fae6380, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xdd61d01a, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x529db99e, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x4232a0c3, "");
SYMBOL_CRC(vfio_info_add_capability, 0xf3411eb8, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xaf8a4a7f, "");
SYMBOL_CRC(vfio_pin_pages, 0x73a2c0c8, "");
SYMBOL_CRC(vfio_unpin_pages, 0x5da81e35, "");
SYMBOL_CRC(vfio_dma_rw, 0xb5f2ae90, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xff547575, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x42eb3066, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x87a32234, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x578a7ae9, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xe8e49c9d, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xdcc842f8, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x7212adce, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x0debe97d, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x0b5cbc9f, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x2daeb03b, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x64239b54, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x6e2442f1, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x7218fea8, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x6dc30c4b, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xd3dadb0e, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xd2dc6d05, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x655064ba, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0xdb818662, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x5eb24661, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x93da9da8, "iommufd_access_unpin_pages" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x7d0355f8, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x581ec335, "anon_inode_getfile" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x742a6af7, "alloc_anon_inode" },
	{ 0x143cc5e9, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5f0cb5ce, "iommufd_access_detach" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb75e8286, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x6ef43c11, "cdev_device_del" },
	{ 0x3c6dd49f, "iommu_group_get" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xa0be9753, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xef95b243, "device_initialize" },
	{ 0x2109e3eb, "iommufd_device_attach" },
	{ 0x2482a443, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd68c058, "iommufd_access_pin_pages" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xf68622d9, "iput" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x77c219c9, "iommufd_ctx_from_fd" },
	{ 0xf26b5274, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x947cd02a, "iova_bitmap_alloc" },
	{ 0xc220209b, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x7bda7982, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x13c4508b, "cdev_device_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x24e0cabb, "put_device" },
	{ 0x16e631b0, "iommufd_ctx_from_file" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5a8fa6fa, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x124612d7, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xc22861e9, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xd2510a63, "up_write" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x249a6647, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xac8e481f, "class_create" },
	{ 0x3baece2e, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x7bfe1b99, "iova_bitmap_for_each" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7bb7cac9, "iommufd_access_rw" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf0d98484, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x324625eb, "iommufd_access_destroy" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x13700a80, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x71536ec1, "iommufd_device_to_id" },
	{ 0x75964fd, "init_pseudo" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe441ec42, "iommufd_device_to_ictx" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xd9de463e, "iommufd_ctx_put" },
	{ 0xaa98999b, "iommufd_access_create" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x94d0ebdd, "iommufd_device_detach" },
	{ 0xcf04b334, "device_iommu_capable" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x1ac260a9, "simple_release_fs" },
	{ 0x1219c540, "kill_anon_super" },
	{ 0xc65fcca0, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcfd693d8, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xa7a34661, "iommu_group_add_device" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x5790f0b5, "cdev_init" },
	{ 0x95fe6acf, "iommufd_device_replace" },
	{ 0x871eec89, "eventfd_ctx_fileget" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x68b69470, "iommu_group_remove_device" },
	{ 0x5da1c284, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "CB8EDDAC1D3AF8CCF4B33FD");
MODULE_INFO(rhelversion, "10.0");
