#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xde4250e3, "");
SYMBOL_CRC(is_hsr_master, 0x4284fe0b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1cdbc2fc, "dev_set_mtu" },
	{ 0x9c915c3f, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x33b52272, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe34ab863, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8cbaa0cb, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x3c81b6ae, "rtnl_link_register" },
	{ 0x6398ded7, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa38bf1d4, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x5bd8ab8a, "dev_set_promiscuity" },
	{ 0x55091704, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3451e020, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4946703b, "unregister_netdevice_queue" },
	{ 0xfa8fc8e, "netlink_ack" },
	{ 0xdcd68f91, "__pskb_copy_fclone" },
	{ 0xcd0233cc, "dev_uc_unsync" },
	{ 0x77f115fd, "ether_setup" },
	{ 0xb5aafecc, "netlink_broadcast_filtered" },
	{ 0x9c051ee7, "netdev_err" },
	{ 0x7a293bfc, "netdev_upper_dev_link" },
	{ 0x55f31ac3, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6592ffe0, "netdev_rx_handler_unregister" },
	{ 0xb3ed1fbc, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf61803fb, "__alloc_skb" },
	{ 0x25e46f59, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xdf7471a1, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd4dcb481, "rtnl_link_unregister" },
	{ 0xcde93544, "init_net" },
	{ 0xb0ab6fb1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5651dec6, "mark_tech_preview" },
	{ 0x5138b115, "sk_skb_reason_drop" },
	{ 0xda8868d4, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x96ead5dc, "dev_get_by_index_rcu" },
	{ 0x3fe78e2d, "netdev_printk" },
	{ 0x199da831, "skb_push" },
	{ 0x650fb38e, "debugfs_remove" },
	{ 0x2f06321f, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb5a9f54b, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6affb766, "__pskb_pull_tail" },
	{ 0x2703ace0, "netif_rx" },
	{ 0x8d0a4e4b, "__netdev_alloc_skb" },
	{ 0x14bec3f6, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x60572042, "seq_read" },
	{ 0xd605f60e, "debugfs_rename" },
	{ 0x80a2050d, "debugfs_create_file" },
	{ 0x35f39ad1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfc8497cb, "call_netdevice_notifiers" },
	{ 0x9226eb4c, "dev_set_allmulti" },
	{ 0xcbec3bc4, "seq_write" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaed79f97, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x77b14871, "seq_printf" },
	{ 0xd4f4db, "skb_clone" },
	{ 0xa1497b7e, "netif_carrier_on" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x2e72ceec, "netdev_rx_handler_register" },
	{ 0x6deb0898, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf150c5fe, "genl_unregister_family" },
	{ 0x749cf0be, "dev_disable_lro" },
	{ 0xd9e617bf, "dev_kfree_skb_any_reason" },
	{ 0x605da164, "single_open" },
	{ 0x130f87e2, "debugfs_create_dir" },
	{ 0xc71ed73d, "dev_mc_unsync" },
	{ 0xb8739755, "genl_register_family" },
	{ 0x38aa8cfa, "netdev_core_stats_inc" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0xf431ba88, "netdev_info" },
	{ 0x26fa03ca, "dev_mc_sync_multiple" },
	{ 0x96029325, "register_netdevice" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F1DDADF9A7734F0922575E");
MODULE_INFO(rhelversion, "10.0");
