#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x372277aa, "");
SYMBOL_CRC(wpan_phy_for_each, 0x2e40e15c, "");
SYMBOL_CRC(wpan_phy_new, 0x45033942, "");
SYMBOL_CRC(wpan_phy_register, 0x00ac3426, "");
SYMBOL_CRC(wpan_phy_unregister, 0x6cf1b594, "");
SYMBOL_CRC(wpan_phy_free, 0x6721de1e, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x51a3f7a1, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x04578314, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x8592d496, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x7f7336a9, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xcc1cdaa4, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xbf63e52c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x83c4e504, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x86df1d9b, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xcdba4447, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x8356c702, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x5dd9cb53, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xcfd0d855, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x025633a4, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xee93873c, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x209d8ed3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x72eb4e40, "bpf_trace_run4" },
	{ 0xe34ab863, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb75e8286, "dev_set_name" },
	{ 0x723019a5, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x485dfa41, "trace_raw_output_prep" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xe9db808a, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xfd4906fc, "trace_event_printf" },
	{ 0xef95b243, "device_initialize" },
	{ 0x6398ded7, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xdc4a10fe, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x18e721db, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x2bcfab9c, "get_device" },
	{ 0xb5aafecc, "netlink_broadcast_filtered" },
	{ 0xcfb44152, "device_rename" },
	{ 0x7c76c4aa, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x24e0cabb, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf61803fb, "__alloc_skb" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xdbc25e6e, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xdf7471a1, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5bb13994, "perf_trace_run_bpf_submit" },
	{ 0xcde93544, "init_net" },
	{ 0xb0ab6fb1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x799361c7, "device_add" },
	{ 0x5138b115, "sk_skb_reason_drop" },
	{ 0xda8868d4, "netlink_unicast" },
	{ 0xd3f1bbe8, "dev_get_by_index" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x199da831, "skb_push" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x12dc2c9a, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3bded67c, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf60deae, "unregister_pernet_device" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x48f23c8e, "bpf_trace_run1" },
	{ 0x951d1bd4, "device_del" },
	{ 0xe9483289, "dev_set_mac_address" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6affb766, "__pskb_pull_tail" },
	{ 0x14bec3f6, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x8aa056fb, "bpf_trace_run3" },
	{ 0x978fc2ba, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf281a5ce, "get_net_ns_by_pid" },
	{ 0x1d24df0a, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x46402d4d, "device_match_name" },
	{ 0xf4f1549, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf150c5fe, "genl_unregister_family" },
	{ 0xb8739755, "genl_register_family" },
	{ 0x333173e2, "__dev_change_net_namespace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xb5395f6, "register_pernet_device" },
	{ 0x3ca4db01, "get_net_ns_by_fd" },
	{ 0xf1074418, "class_register" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0x947c1859, "class_find_device" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3C77E7412EDBA11A32023EE");
MODULE_INFO(rhelversion, "10.0");
