#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x06830b9a, "");
SYMBOL_CRC(ib_unpack, 0xf96fc9de, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x9d87f6f8, "");
SYMBOL_CRC(__ib_alloc_pd, 0xadd585f1, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xa28fe6d0, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x8df64f10, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xe1005218, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x303f521d, "");
SYMBOL_CRC(rdma_create_ah, 0xe5d0395e, "");
SYMBOL_CRC(rdma_create_user_ah, 0x49dda993, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0xd5f80f72, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0xc4dba8ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x40c78269, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x11b95a42, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x4cc81177, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xce44572c, "");
SYMBOL_CRC(rdma_modify_ah, 0x365ead46, "");
SYMBOL_CRC(rdma_query_ah, 0x966072d1, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xf48c5609, "");
SYMBOL_CRC(ib_create_srq_user, 0xc475ce16, "");
SYMBOL_CRC(ib_modify_srq, 0x1460fe73, "");
SYMBOL_CRC(ib_query_srq, 0x8d6aa9dc, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x26af3402, "");
SYMBOL_CRC(ib_open_qp, 0xcddf737a, "");
SYMBOL_CRC(ib_create_qp_user, 0xacdfbba7, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xd80496bc, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xf3ef09ab, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x0638b2e5, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0xd665066c, "");
SYMBOL_CRC(ib_get_eth_speed, 0x24897eab, "");
SYMBOL_CRC(ib_modify_qp, 0x854790e1, "");
SYMBOL_CRC(ib_query_qp, 0x677d3293, "");
SYMBOL_CRC(ib_close_qp, 0x749a7a98, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x710a9612, "");
SYMBOL_CRC(__ib_create_cq, 0x7fb703d8, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x4839b99f, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x25eddb7a, "");
SYMBOL_CRC(ib_resize_cq, 0xa6a42706, "");
SYMBOL_CRC(ib_reg_user_mr, 0x72336c4f, "");
SYMBOL_CRC(ib_advise_mr, 0xe18e12a7, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x61faac27, "");
SYMBOL_CRC(ib_alloc_mr, 0x9ea4c233, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x5ca2136e, "");
SYMBOL_CRC(ib_attach_mcast, 0x99d84180, "");
SYMBOL_CRC(ib_detach_mcast, 0x8e2b1211, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xa24010de, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x26e00698, "");
SYMBOL_CRC(ib_create_wq, 0x72c4c92f, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xef4fbe19, "");
SYMBOL_CRC(ib_check_mr_status, 0x8cd66c4e, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x91a2408c, "");
SYMBOL_CRC(ib_get_vf_config, 0x98a47b33, "");
SYMBOL_CRC(ib_get_vf_stats, 0x93f6f25e, "");
SYMBOL_CRC(ib_set_vf_guid, 0xbb9e65f1, "");
SYMBOL_CRC(ib_get_vf_guid, 0x687bb072, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xd9e511f8, "");
SYMBOL_CRC(ib_map_mr_sg, 0xcde82d35, "");
SYMBOL_CRC(ib_sg_to_pages, 0xffde1cec, "");
SYMBOL_CRC(ib_drain_sq, 0x8eaace6b, "");
SYMBOL_CRC(ib_drain_rq, 0x5a7ed911, "");
SYMBOL_CRC(ib_drain_qp, 0x93547ebd, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x4f64fe0a, "");
SYMBOL_CRC(rdma_init_netdev, 0xd394688d, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x4e52439b, "");
SYMBOL_CRC(__rdma_block_iter_next, 0xa06a13bd, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x79787750, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xfbc3a9a8, "");
SYMBOL_CRC(ib_process_cq_direct, 0xdfebc62b, "");
SYMBOL_CRC(__ib_alloc_cq, 0xc6d762ed, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xc14a4484, "");
SYMBOL_CRC(ib_free_cq, 0x0c8a0ce1, "");
SYMBOL_CRC(ib_cq_pool_get, 0xf4883500, "");
SYMBOL_CRC(ib_cq_pool_put, 0xa98d7d91, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xac88a8fa, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x9ccefbaa, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xab9b1a4e, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xcaa92ba7, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xf95cae1b, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xd2dbd80b, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x4e5edd3c, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x77fc4959, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x3a212e32, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x557cb15b, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x7281d187, "");
SYMBOL_CRC(ibdev_printk, 0x1a1814f8, "");
SYMBOL_CRC(ibdev_emerg, 0xfd7c8a53, "");
SYMBOL_CRC(ibdev_alert, 0x257641ed, "");
SYMBOL_CRC(ibdev_crit, 0x7767ea7d, "");
SYMBOL_CRC(ibdev_err, 0x00e1ec74, "");
SYMBOL_CRC(ibdev_warn, 0x4f818d37, "");
SYMBOL_CRC(ibdev_notice, 0x13d07675, "");
SYMBOL_CRC(ibdev_info, 0xd9cc0961, "");
SYMBOL_CRC(ib_device_put, 0xf9df32d2, "");
SYMBOL_CRC(ib_device_get_by_name, 0x922241e1, "");
SYMBOL_CRC(_ib_alloc_device, 0x7a3a94b6, "");
SYMBOL_CRC(ib_dealloc_device, 0x224c12fd, "");
SYMBOL_CRC(ib_port_immutable_read, 0x46cdbd44, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x98af4cc0, "");
SYMBOL_CRC(ib_register_device, 0xf4301094, "");
SYMBOL_CRC(ib_unregister_device, 0x8a6ec04d, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x9d4ea8e7, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x6da6a1cf, "");
SYMBOL_CRC(ib_register_client, 0x48e33ce4, "");
SYMBOL_CRC(ib_unregister_client, 0xf909b1e8, "");
SYMBOL_CRC(ib_set_client_data, 0xe0152308, "");
SYMBOL_CRC(ib_register_event_handler, 0xf7c8fa1a, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x3f370c4c, "");
SYMBOL_CRC(ib_query_port, 0x7867459c, "");
SYMBOL_CRC(ib_device_set_netdev, 0x5647fc45, "");
SYMBOL_CRC(ib_device_get_netdev, 0x3ed53756, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x78b8bf28, "");
SYMBOL_CRC(ib_query_pkey, 0xe69c9224, "");
SYMBOL_CRC(ib_modify_device, 0x21757b10, "");
SYMBOL_CRC(ib_modify_port, 0x0dc62060, "");
SYMBOL_CRC(ib_find_gid, 0xc6db499b, "");
SYMBOL_CRC(ib_find_pkey, 0x7ca15934, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xebebc273, "");
SYMBOL_CRC(ib_set_device_ops, 0xa90e3037, "");
SYMBOL_CRC(ib_add_sub_device, 0x801b4c82, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x17df5f26, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x280b6ab4, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xb173029b, "");
SYMBOL_CRC(rdma_query_gid, 0xaff50968, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x1c3df460, "");
SYMBOL_CRC(rdma_find_gid, 0x92d34c03, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x1d1e21aa, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x320f415e, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x13696881, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0x07000fa3, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x5a9bc38a, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x74d4afc0, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xbdfcfa78, "");
SYMBOL_CRC(rdma_query_gid_table, 0x0e68cde8, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x48c69d1b, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x1af12db5, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x943139a9, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x14a3ae5b, "");
SYMBOL_CRC(ib_dispatch_event, 0xc8bf43fc, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x4320b591, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x8c43e41c, "");
SYMBOL_CRC(ibnl_put_attr, 0xa2bef7e7, "");
SYMBOL_CRC(rdma_nl_unicast, 0x7f7525a5, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xa0cf2802, "");
SYMBOL_CRC(rdma_nl_multicast, 0x3edf2ab4, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x7be38c08, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x4dfb0b7f, "");
SYMBOL_CRC(ib_mr_pool_get, 0xa37adf03, "");
SYMBOL_CRC(ib_mr_pool_put, 0x226af914, "");
SYMBOL_CRC(ib_mr_pool_init, 0xdb8087d7, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x3be80920, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x77e83545, "");
SYMBOL_CRC(rdma_translate_ip, 0x7cac9c0c, "");
SYMBOL_CRC(rdma_resolve_ip, 0xcea7e569, "");
SYMBOL_CRC(rdma_addr_cancel, 0x810ba590, "");
SYMBOL_CRC(ib_sa_register_client, 0x9573ffe4, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x42212bdb, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xc67fd6d1, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xcf986bcf, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xf61f3c1d, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x1b6b5d69, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x46f55e2e, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x7b45fe9d, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x649d33c8, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xd19d93ba, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xd5712b9e, "");
SYMBOL_CRC(ib_create_send_mad, 0x7c74ac11, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0xda15643b, "");
SYMBOL_CRC(ib_free_send_mad, 0x05077426, "");
SYMBOL_CRC(ib_post_send_mad, 0xdaa8186a, "");
SYMBOL_CRC(ib_free_recv_mad, 0x9a8761bf, "");
SYMBOL_CRC(ib_modify_mad, 0x9639fc8b, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xac5fa344, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xa971ec9b, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x34fba7f3, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xe030982a, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x45dc5594, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xf7f0c6a4, "");
SYMBOL_CRC(rdma_link_register, 0x311373c3, "");
SYMBOL_CRC(rdma_link_unregister, 0x04a9b04e, "");
SYMBOL_CRC(rdma_restrack_count, 0x0a118c9d, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x88c691b0, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xad708e9e, "");
SYMBOL_CRC(rdma_restrack_new, 0x7e6839ba, "");
SYMBOL_CRC(rdma_restrack_add, 0xca4b1f37, "");
SYMBOL_CRC(rdma_restrack_get, 0xc0236461, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xb471d91f, "");
SYMBOL_CRC(rdma_restrack_put, 0x8b660907, "");
SYMBOL_CRC(rdma_restrack_del, 0xabdb0ecd, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xf0bbfdf2, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x53fe816a, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x7cdac080, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xfc828ccc, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x5b58f5a5, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x697a8e8f, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x540c4d98, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xe4e54b28, "");
SYMBOL_CRC(ib_create_qp_security, 0x8805ac02, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x388ad54c, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xf59fd705, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x39ba60e5, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2b0602c0, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xfc5485ab, "rdmacg_try_charge" },
	{ 0x54b54ebb, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x72eb4e40, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x8bdcb444, "__nlmsg_put" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xe34ab863, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb75e8286, "dev_set_name" },
	{ 0x12542c81, "ip6_dst_hoplimit" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x485dfa41, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xac9f61e, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe9db808a, "__trace_trigger_soft_disabled" },
	{ 0x2ee740fd, "__kmalloc_node_noprof" },
	{ 0x325d2f6b, "dma_unmap_page_attrs" },
	{ 0xfd4906fc, "trace_event_printf" },
	{ 0x40a6bfee, "__ip_dev_find" },
	{ 0xbcb55555, "sysfs_remove_groups" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xd5149722, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x519d9222, "xas_find" },
	{ 0xcd66e5e4, "kobject_init" },
	{ 0xef95b243, "device_initialize" },
	{ 0xb26fdaaf, "__dynamic_ibdev_dbg" },
	{ 0xe2d9e946, "sysfs_create_groups" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xdc4a10fe, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xaf68c371, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x780f78f2, "in6_dev_finish_destroy" },
	{ 0xc74e2f53, "__netlink_kernel_create" },
	{ 0x18e721db, "bpf_trace_run2" },
	{ 0xcad4ccb9, "ip_route_output_flow" },
	{ 0x2bcfab9c, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc220209b, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xfa8fc8e, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xb5aafecc, "netlink_broadcast_filtered" },
	{ 0xcfb44152, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4b3805d4, "dev_driver_string" },
	{ 0x7c76c4aa, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xd3c7e465, "dma_map_page_attrs" },
	{ 0x343d1e08, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x24e0cabb, "put_device" },
	{ 0x65ee9025, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf61803fb, "__alloc_skb" },
	{ 0x88fea3e4, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x60b163e0, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x8d2ddb0f, "vlan_dev_real_dev" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5bb13994, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x29b5e0c9, "_dev_err" },
	{ 0xcde93544, "init_net" },
	{ 0x6ede9e37, "kobject_add" },
	{ 0xd2510a63, "up_write" },
	{ 0x5df2bcd6, "ipv6_stub" },
	{ 0xb0ab6fb1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x799361c7, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5138b115, "sk_skb_reason_drop" },
	{ 0xda8868d4, "netlink_unicast" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd3f1bbe8, "dev_get_by_index" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x199da831, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x12dc2c9a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xbdf21c01, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3bded67c, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf60deae, "unregister_pernet_device" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6bb426a0, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0x48f23c8e, "bpf_trace_run1" },
	{ 0x951d1bd4, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xa377515d, "netdev_get_xmit_slave" },
	{ 0xf0d98484, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x6bb921df, "__neigh_event_send" },
	{ 0xa099cce0, "dev_printk_emit" },
	{ 0x5796bfa3, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0x14bec3f6, "skb_trim" },
	{ 0xe6f33b0a, "netdev_has_upper_dev_all_rcu" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xbc8294cb, "netdev_walk_all_upper_dev_rcu" },
	{ 0x8aa056fb, "bpf_trace_run3" },
	{ 0x978fc2ba, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3b2a9437, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d69c91e, "neigh_destroy" },
	{ 0x481ab181, "kobject_del" },
	{ 0x1d24df0a, "trace_event_buffer_reserve" },
	{ 0x5230af8d, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeefad6c1, "param_ops_bool" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5832b9af, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xf4f1549, "dev_get_by_name" },
	{ 0x163ef211, "netlink_ns_capable" },
	{ 0x5e5b8f31, "dst_release" },
	{ 0x3933280e, "kobject_uevent" },
	{ 0x61d983f2, "rdmacg_uncharge" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe63f832f, "vlan_dev_vlan_id" },
	{ 0xaf66579c, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x930eba7d, "ipv6_chk_addr" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfb42b613, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xa694741a, "netlink_has_listeners" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xb5395f6, "register_pernet_device" },
	{ 0x3ca4db01, "get_net_ns_by_fd" },
	{ 0xf1074418, "class_register" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2ea6620, "kobject_put" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "01C63119E53F962BF111D12");
MODULE_INFO(rhelversion, "10.0");
