#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0x3a2917f0, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xf405c1d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x9cb04c8d, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2b0602c0, "vmemmap" },
	{ 0x9e27fb9a, "pci_cfg_access_unlock" },
	{ 0xe408de74, "pci_enable_device" },
	{ 0xe34ab863, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4071dc6d, "pci_alloc_irq_vectors" },
	{ 0xe510c053, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x325d2f6b, "dma_unmap_page_attrs" },
	{ 0x2f9fe8c2, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf3fe24d1, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e0a3843, "page_pool_destroy" },
	{ 0xac03c110, "pci_irq_vector" },
	{ 0x2fb4e31c, "__netif_napi_del" },
	{ 0xc220209b, "__dynamic_dev_dbg" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x632314f1, "mlxsw_cmd_exec" },
	{ 0xcef6da7d, "pci_unregister_driver" },
	{ 0x1938423, "pci_cfg_access_lock" },
	{ 0xf53e4826, "mlxsw_core_bus_device_register" },
	{ 0x4b3805d4, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xd3c7e465, "dma_map_page_attrs" },
	{ 0xc620604a, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x185e67ac, "__napi_schedule" },
	{ 0xae4b7e46, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0x51d59e88, "__pci_reset_function_locked" },
	{ 0xd00a6e72, "__dma_sync_single_for_cpu" },
	{ 0x29b5e0c9, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4dffa47, "dma_alloc_attrs" },
	{ 0xb1785267, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa33200d8, "free_netdev" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbe8d4fb1, "page_pool_put_unrefed_netmem" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x54a31a8c, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x17b7d078, "pci_restore_state" },
	{ 0x9ce875b1, "page_pool_create" },
	{ 0x3da0cef1, "mlxsw_core_ptp_transmitted" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2173fd73, "pci_set_master" },
	{ 0x6affb766, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x8a06111c, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x3cfee9ff, "alloc_netdev_dummy" },
	{ 0x110f95b1, "dma_free_attrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6e847dd3, "pci_release_regions" },
	{ 0xa4ee470d, "page_pool_alloc_pages" },
	{ 0xed3b9ccd, "napi_build_skb" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2525ebb, "pci_disable_device" },
	{ 0x3700660, "dma_set_mask" },
	{ 0x26c8ea25, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb3c7d3f1, "napi_schedule_prep" },
	{ 0x88e882ab, "napi_consume_skb" },
	{ 0xc921b4ff, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xfd5949d, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "A619F07FE4E4D4D303F8CD3");
MODULE_INFO(rhelversion, "10.0");
