#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xe8e2dc68, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xbfa7066c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x17571b15, "file_f_owner_allocate" },
	{ 0x8e4c8b98, "fasync_helper" },
	{ 0xe538255a, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf431ba88, "netdev_info" },
	{ 0xa1497b7e, "netif_carrier_on" },
	{ 0xaed79f97, "netif_carrier_off" },
	{ 0x78579404, "from_kgid_munged" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x35bd53c9, "from_kuid_munged" },
	{ 0xff182e8, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x258f1c0d, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xdd2f2bbe, "__skb_get_hash_symmetric_net" },
	{ 0x9361b372, "netif_tx_stop_all_queues" },
	{ 0x86d700f7, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c81b6ae, "rtnl_link_register" },
	{ 0x13700a80, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x143cc5e9, "misc_deregister" },
	{ 0xd4dcb481, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x805d8fe3, "xdp_return_frame" },
	{ 0x5138b115, "sk_skb_reason_drop" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x29bc737b, "kill_fasync" },
	{ 0x5b03dcb0, "bpf_prog_put" },
	{ 0x56d06650, "sk_alloc" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x555dbc35, "sock_init_data_uid" },
	{ 0x4e8865a4, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x8328f532, "skb_queue_purge_reason" },
	{ 0xc921b4ff, "napi_disable" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6dbaaf6, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2fb4e31c, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5a8fa6fa, "module_put" },
	{ 0x790973cf, "skb_copy_datagram_iter" },
	{ 0x34c8e766, "_copy_to_iter" },
	{ 0xe27e3058, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9c051ee7, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xb79ec19e, "build_skb" },
	{ 0xe34ab863, "skb_put" },
	{ 0xb62a95a1, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x38aa8cfa, "netdev_core_stats_inc" },
	{ 0x99bfb53a, "security_tun_dev_attach" },
	{ 0x635f29eb, "xdp_rxq_info_is_reg" },
	{ 0xbdf2ef76, "netif_set_real_num_tx_queues" },
	{ 0xe554a463, "netif_set_real_num_rx_queues" },
	{ 0x3d3fa9a7, "lock_sock_nested" },
	{ 0xdc2f75b0, "sk_attach_filter" },
	{ 0x2f2db86a, "release_sock" },
	{ 0x4be1faf5, "__xdp_rxq_info_reg" },
	{ 0x8505c333, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1785267, "napi_enable" },
	{ 0xe510c053, "netif_napi_add_weight" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda7d6420, "__dev_get_by_name" },
	{ 0x2f282ec5, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x26457bfe, "netdev_state_change" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x343d1e08, "alloc_netdev_mqs" },
	{ 0x6ec2c64a, "ip_tunnel_header_ops" },
	{ 0x96029325, "register_netdevice" },
	{ 0x92c6a02e, "netif_tx_wake_queue" },
	{ 0x77f115fd, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x55f31ac3, "dev_addr_mod" },
	{ 0xa33200d8, "free_netdev" },
	{ 0x330f9ec9, "napi_gro_receive" },
	{ 0xc620604a, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xeabdaeb5, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x6d5cda76, "__skb_flow_dissect" },
	{ 0xbfface8d, "skb_partial_csum_set" },
	{ 0x6affb766, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xe47cbe, "sk_filter_trim_cap" },
	{ 0x7eb1d262, "skb_clone_tx_timestamp" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xcec163fb, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xf48e9fd6, "skb_tstamp_tx" },
	{ 0x950b4f07, "skb_copy_ubufs" },
	{ 0x6aa1bcff, "___pskb_trim" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x77b14871, "seq_printf" },
	{ 0xcbaf84bc, "xdp_do_redirect" },
	{ 0x282c9259, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3bd36c40, "__traceiter_xdp_exception" },
	{ 0xb03d1f1f, "xdp_return_frame_rx_napi" },
	{ 0x86c8ef5b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xf9095984, "napi_get_frags" },
	{ 0x1764dcca, "iov_iter_single_seg_count" },
	{ 0x59ff9481, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x2b0602c0, "vmemmap" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x3f10e530, "bpf_prog_get_type_dev" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0x7b2037d1, "skb_page_frag_refill" },
	{ 0xe7f3ddd7, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2da9a2b, "xdp_master_redirect" },
	{ 0x546b366f, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4946703b, "unregister_netdevice_queue" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x2906ca98, "net_hotdata" },
	{ 0xf0af44fc, "sock_recv_errqueue" },
	{ 0xc8876617, "eth_type_trans" },
	{ 0xe750331d, "do_xdp_generic" },
	{ 0x2a647c78, "netif_receive_skb" },
	{ 0xb7f6df, "__page_frag_cache_drain" },
	{ 0x19d3fefb, "_copy_from_iter" },
	{ 0x1069ab49, "iov_iter_npages" },
	{ 0xd24c4d5, "sock_alloc_send_pskb" },
	{ 0xffe3191f, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbf329da8, "skb_copy_datagram_from_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb3c7d3f1, "napi_schedule_prep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5d188798, "iov_iter_revert" },
	{ 0x199da831, "skb_push" },
	{ 0xaea99ac6, "eth_get_headlen" },
	{ 0x4a54fa7e, "napi_gro_frags" },
	{ 0x185e67ac, "__napi_schedule" },
	{ 0xf812432, "get_net_ns" },
	{ 0x8abb879f, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x4d3a607a, "make_kgid" },
	{ 0x4f00edf7, "sk_detach_filter" },
	{ 0xf36e084f, "make_kuid" },
	{ 0x87385d2d, "init_user_ns" },
	{ 0xf17ed959, "from_kuid" },
	{ 0x8e3e3d7f, "dev_get_mac_address" },
	{ 0x9379e1e2, "dev_set_mac_address_user" },
	{ 0x8cbaa0cb, "netdev_update_features" },
	{ 0xfc8497cb, "call_netdevice_notifiers" },
	{ 0x992a26a5, "__module_get" },
	{ 0x4d3477e9, "from_kgid" },
	{ 0x37817c5c, "ethtool_op_get_link" },
	{ 0xdf3a9f13, "ethtool_op_get_ts_info" },
	{ 0xfcb9d47f, "passthru_features_check" },
	{ 0x363fc9b6, "eth_mac_addr" },
	{ 0x71b42cd5, "eth_validate_addr" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD27A74E873A31B3D1E67AA");
MODULE_INFO(rhelversion, "10.0");
