#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x179b5758, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x20fce5de, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x2a662b41, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x96f702ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xd4a20b7c, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x979d7362, "skb_copy_bits" },
	{ 0x8bdcb444, "__nlmsg_put" },
	{ 0xb6f2f057, "netdev_adjacent_change_commit" },
	{ 0x363fc9b6, "eth_mac_addr" },
	{ 0xe34ab863, "skb_put" },
	{ 0xc1a484e8, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x12542c81, "ip6_dst_hoplimit" },
	{ 0x95751851, "param_ops_ushort" },
	{ 0xeabdaeb5, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x1fc06c97, "udp_sock_create4" },
	{ 0x55d5a9ec, "udp_tunnel6_xmit_skb" },
	{ 0x3c81b6ae, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd4de4c29, "__unregister_nexthop_notifier" },
	{ 0x78694951, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x71b42cd5, "eth_validate_addr" },
	{ 0x12e9e29, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc2dc34ee, "rtnl_create_link" },
	{ 0x4946703b, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x77c7a6bc, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x77f115fd, "ether_setup" },
	{ 0x778795cf, "udp_tunnel_drop_rx_port" },
	{ 0x7a293bfc, "netdev_upper_dev_link" },
	{ 0x59ff9481, "pskb_expand_head" },
	{ 0x1f42e410, "register_pernet_subsys" },
	{ 0x55f31ac3, "dev_addr_mod" },
	{ 0xc8876617, "eth_type_trans" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xf61803fb, "__alloc_skb" },
	{ 0xfa42f31e, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x92094bd7, "eth_gro_complete" },
	{ 0x9592c9a4, "rtnl_set_sk_err" },
	{ 0xc431e4f0, "eth_gro_receive" },
	{ 0x5f848cbb, "rtnl_configure_link" },
	{ 0xbfd09673, "skb_tunnel_check_pmtu" },
	{ 0x29399f8e, "udp_tunnel_dst_lookup" },
	{ 0xbd8e46f6, "rtnl_unicast" },
	{ 0xe7ae3940, "peernet2id" },
	{ 0xa4623879, "__skb_get_hash_net" },
	{ 0x6670adcb, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xdf7471a1, "__dev_get_by_index" },
	{ 0xd4dcb481, "rtnl_link_unregister" },
	{ 0x5df2bcd6, "ipv6_stub" },
	{ 0xb0ab6fb1, "skb_pull" },
	{ 0x8c4b80a9, "gro_find_complete_by_type" },
	{ 0x5138b115, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x96ead5dc, "dev_get_by_index_rcu" },
	{ 0x158b4227, "gro_cells_receive" },
	{ 0x199da831, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x2f06321f, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xdc211aef, "__rtnl_register_many" },
	{ 0xa33200d8, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x13fe76ad, "ip_mc_join_group" },
	{ 0xf17e6ddd, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3d3fa9a7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37817c5c, "ethtool_op_get_link" },
	{ 0xccb33393, "nexthop_find_by_id" },
	{ 0x23acf128, "arp_create" },
	{ 0x6bb426a0, "__ethtool_get_link_ksettings" },
	{ 0x564c9e03, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1b71af48, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf49f2b7b, "netdev_adjacent_change_abort" },
	{ 0xb1cb230f, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1e3ae98b, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc96ffdb4, "__iptunnel_pull_header" },
	{ 0x6affb766, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2703ace0, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x34dd386d, "setup_udp_tunnel_sock" },
	{ 0x6a6b60c, "udp_sock_create6" },
	{ 0x14bec3f6, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x76a9be14, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x270a4bbe, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x5dfb471, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa9e7e844, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d69c91e, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeefad6c1, "param_ops_bool" },
	{ 0x8a4914e7, "udp_tun_rx_dst" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0xb8f07840, "rtnl_notify" },
	{ 0xcf0cba9e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd4ab6e19, "__netif_rx" },
	{ 0xd4f4db, "skb_clone" },
	{ 0x65f4ffe, "metadata_dst_alloc" },
	{ 0x5e5b8f31, "dst_release" },
	{ 0xa1e72974, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x3c4cec8b, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3691789b, "register_nexthop_notifier" },
	{ 0x409bc27d, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x1b34a935, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xb1304aed, "gro_find_receive_by_type" },
	{ 0x38aa8cfa, "netdev_core_stats_inc" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0xf431ba88, "netdev_info" },
	{ 0x6465c2cf, "neigh_lookup" },
	{ 0x2f2db86a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x96029325, "register_netdevice" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "7B375E09E8755C1D9B007E8");
MODULE_INFO(rhelversion, "10.0");
