#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x3d4bab25, "");
SYMBOL_CRC(sas_remove_host, 0x7edd7e3e, "");
SYMBOL_CRC(sas_get_address, 0x598a0224, "");
SYMBOL_CRC(sas_tlr_supported, 0xfc96f142, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xc035a4d9, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xdba27669, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x21957b65, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x57b66757, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x03640989, "");
SYMBOL_CRC(sas_phy_add, 0xf39360b1, "");
SYMBOL_CRC(sas_phy_free, 0x2dff93de, "");
SYMBOL_CRC(sas_phy_delete, 0x8a9781af, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xb5198baa, "");
SYMBOL_CRC(sas_port_alloc, 0x9fdfb8bb, "");
SYMBOL_CRC(sas_port_alloc_num, 0x9bea82b4, "");
SYMBOL_CRC(sas_port_add, 0x584d5a63, "");
SYMBOL_CRC(sas_port_free, 0x7bdceac0, "");
SYMBOL_CRC(sas_port_delete, 0x06ddf8ae, "");
SYMBOL_CRC(scsi_is_sas_port, 0xab4a1b94, "");
SYMBOL_CRC(sas_port_get_phy, 0x1adc347b, "");
SYMBOL_CRC(sas_port_add_phy, 0x66dceb1f, "");
SYMBOL_CRC(sas_port_delete_phy, 0xc4229673, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x51313db1, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xaf3eaaab, "");
SYMBOL_CRC(sas_end_device_alloc, 0xa9d5bcb3, "");
SYMBOL_CRC(sas_expander_alloc, 0x0c70307a, "");
SYMBOL_CRC(sas_rphy_add, 0xdb0d54c1, "");
SYMBOL_CRC(sas_rphy_free, 0xbbee4ce3, "");
SYMBOL_CRC(sas_rphy_delete, 0x26085678, "");
SYMBOL_CRC(sas_rphy_unlink, 0x30d33d48, "");
SYMBOL_CRC(sas_rphy_remove, 0x07bd0ed9, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x08f96ca8, "");
SYMBOL_CRC(sas_attach_transport, 0x3901ecda, "");
SYMBOL_CRC(sas_release_transport, 0x7d2d5332, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x971613d, "device_for_each_child" },
	{ 0x275a926a, "scsi_remove_host" },
	{ 0x24e0cabb, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x799361c7, "device_add" },
	{ 0xeb5e293d, "transport_add_device" },
	{ 0x7c5c2a03, "transport_configure_device" },
	{ 0x951d1bd4, "device_del" },
	{ 0x878ac69e, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2bcfab9c, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x84ca92c7, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xa11b09a, "scsi_scan_target" },
	{ 0x4ef8b157, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0xdd06b15c, "bsg_remove_queue" },
	{ 0x2ff34e33, "transport_remove_device" },
	{ 0xa2c58199, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0xb5f47a56, "transport_class_register" },
	{ 0x42702bfe, "transport_class_unregister" },
	{ 0x329127cf, "kmalloc_caches" },
	{ 0x39087acf, "__kmalloc_cache_noprof" },
	{ 0x17d22c91, "attribute_container_register" },
	{ 0xccafadd1, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x170ec5b8, "_dev_printk" },
	{ 0x7844b112, "scsi_get_vpd_page" },
	{ 0xe24c4387, "scsi_mode_sense" },
	{ 0x1c1b1086, "attribute_container_unregister" },
	{ 0xba37ce5f, "scsi_is_host_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf0d98484, "_dev_warn" },
	{ 0x3941b65a, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xaa6153a2, "dma_opt_mapping_size" },
	{ 0xef95b243, "device_initialize" },
	{ 0xb75e8286, "dev_set_name" },
	{ 0x2ad68b1b, "transport_setup_device" },
	{ 0x846bbd03, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7AB009310B47B7741CE38B8");
MODULE_INFO(rhelversion, "10.0");
